Subject: Re: [PATCHv6 net-next 0/3] Bonding: support new xfrm state offload functions

From: Hangbin Liu <[email-masked]>
Date: Tue, 3 Sep 2024 15:10:48 +0800

Hi Jakub,

I saw the patchwork status[1] is Not Applicable. Is there anything I need
to update?

[1] https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

Thanks
Hangbin

On Thu, Aug 29, 2024 at 05:31:30PM +0800, Hangbin Liu wrote:
> Add 2 new xfrm state offload functions xdo_dev_state_advance_esn and
> xdo_dev_state_update_stats for bonding. The xdo_dev_state_free will be
> added by Jianbo's patchset [1]. I will add the bonding xfrm policy offload
> in future.
> 
> v6: Use "Return: " based on ./scripts/kernel-doc (Simon Horman)
> v5: Rebase to latest net-next, update function doc (Jakub Kicinski)
> v4: Ratelimit pr_warn (Sabrina Dubroca)
> v3: Re-format bond_ipsec_dev, use slave_warn instead of WARN_ON (Nikolay Aleksandrov)
>     Fix bond_ipsec_dev defination, add *. (Simon Horman, kernel test robot)
>     Fix "real" typo (kernel test robot)
> v2: Add a function to process the common device checking (Nikolay Aleksandrov)
>     Remove unused variable (Simon Horman)
> v1: lore.kernel.org/netdev/[email-masked]
> 
> Hangbin Liu (3):
>   bonding: add common function to check ipsec device
>   bonding: Add ESN support to IPSec HW offload
>   bonding: support xfrm state update
> 
>  drivers/net/bonding/bond_main.c | 100 +++++++++++++++++++++++++++-----
>  1 file changed, 87 insertions(+), 13 deletions(-)
> 
> -- 
> 2.45.0
>